/*!
* \file Personnage.h
* \brief Fichier contenant les signatures des fonctions liees a la structure personnage.
*/

#ifndef PERSONNAGE_H_INCLUDED
#define PERSONNAGE_H_INCLUDED

Personnage* set_personnage(Personnage *perso, Classe *c);

Personnage* init_personnage();

Personnage* default_personnage(int numero, Game_Package Pack);

void freePersonnage(Personnage * p);

void setNumero(Personnage * p, int n);

int getNumero(Personnage * p);

void setPosition(Personnage * p, Case * c);

Case* getPosition(Personnage *p);

int get_PV(Personnage *p);

int get_PD(Personnage *p);

int get_mana(Personnage *p);

void setPV(Personnage * p, int n);
void setMana(Personnage * p, int n);
void setPD(Personnage * p, int n);

Classe * getClasse(Personnage *p);

char * getNomPersonnage(Personnage * p);

boolean est_paralyse(Personnage *p);

int deplacer_personnage(Personnage *perso, Case *destination);

int estSurLaCase(Personnage * p, Case * c);

#endif
